{
  flake.modules.nixos.powermanagement = {
    services.auto-cpufreq.enable = true;
    services.auto-cpufreq.settings = {
      battery = {
        governor = "powersave";
        turbo = "never";
        energy_perf_bias = "power";
        energy_performance_preference = "power";
        platform_profile = "power";
      };
      charger = {
        governor = "performance";
        turbo = "auto";
        energy_perf_bias = "performance";
        energy_performance_preference = "performance";
        platform_profile = "performance";
      };
    };
  };
}
